Advisory Details

April 3rd, 2014

Avaya IP Office one-X Portal Remote Code Execution Vulnerability

ZDI-14-056
ZDI-CAN-1688

CVE ID
CVSS SCORE 10, (AV:N/AC:L/Au:N/C:C/I:C/A:C)
AFFECTED VENDORS Avaya
AFFECTED PRODUCTS IP Office
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Avaya IP Office one-X Portal. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the UserConfigurationService and UploadFromLocalDriveServlet servlets. The UserConfigurationService servlet does not properly validate user-supplied data allowing for the super user account to be reset. The UploadFromLocalDriveServlet servlet also fails to validate user-supplied data allowing for arbitrary file writes with SYSTEM level privileges. An attacker can leverage these vulnerabilities to execute code with SYSTEM level privileges.

VENDOR RESPONSE Avaya has issued an update to correct this vulnerability. More details can be found at:
https://downloads.avaya.com/css/P8/documents/100178987
DISCLOSURE TIMELINE
  • 2013-04-14 - Vulnerability reported to vendor
  • 2014-04-03 - Coordinated public release of advisory
CREDIT Andrea Micalizzi aka rgod
BACK TO ADVISORIES